Unable to update httpd in Centos 8 Linux

Issues related to applications and software problems and general support
Post Reply
ajex
Posts: 2
Joined: 2023/10/18 06:25:06

Unable to update httpd in Centos 8 Linux

Post by ajex » 2023/10/18 06:43:30

Hi All,

Due to the vulnerability CVE-2023-27522 in Apache version 2.4.37 I would like to update the httpd in my Centos 8,although not the version only to get patches or fix for this vulnerability.
When I try to do yum update httpd :
yum update httpd
Last metadata expiration check: 1:01:13 ago on Wed 18 Oct 2023 07:57:29 AM +03.
Error:
Problem: cannot install the best update candidate for package httpd-2.4.37-39.module_el8.4.0+778+c970deab.x86_64
- nothing provides system-logos(httpd-logo-ng) needed by httpd-2.4.37-43.module_el8.5.0+1022+b541f3b1.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
I am running CentOS:
====
cat /etc/os-release
NAME="CentOS Linux"
VERSION="8"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="8"
PLATFORM_ID="platform:el8"
PRETTY_NAME="CentOS Linux 8"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:8"
HOME_URL="https://centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"
CENTOS_MANTISBT_PROJECT="CentOS-8"
CENTOS_MANTISBT_PROJECT_VERSION="8"
How can I fix this Issue or is there any other alternative?

tunk
Posts: 1214
Joined: 2017/02/22 15:08:17

Re: Unable to update httpd in Centos 8 Linux

Post by tunk » 2023/10/18 12:53:49

CentOS 8 is dead, and has been dead for nearly two years.
You could look at CentOS 8 Stream which is a rolling pre-release
(aka. beta) of the next RHEL point release. Or some of the other
rebuilds/clones like Rocky, Alma, OEL etc.

User avatar
TrevorH
Site Admin
Posts: 33263
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Unable to update httpd in Centos 8 Linux

Post by TrevorH » 2023/10/18 16:10:46

All of the other rebuilds of RHEL 8 offer migration scripts from CentOS 8 to themselves. I ran migrate2rocky.pl on my one and only CentOS 8 VM about 2 years ago and it takes some time as it has to reinstall every package there is with the Rocky equivalent. From start to finish it was probably done in less than 15 minutes even given that work.

There will never be any more fixes for CentOS Linux 8 so you need to migrate to something else. If you are uncomfortable with the risk of an in-place migration - and it does have some risks - then I'd suggest installing a new machine and migrating services over to it.

Also the package you are trying to update to is already ancient, out of date and superceded. The current EL8 httpd is 2.4.37-56.module+el8.8.0+1456+d0a01c5e.7 (ignore everything after the .module+el8.8.8+ as that is a random string generated at build time and will differ even if the same package is rebuilt twice).
The future appears to be RHEL or Debian. I think I'm going Debian.
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 and 6 are deadest, do not use them.
Use the FAQ Luke

ajex
Posts: 2
Joined: 2023/10/18 06:25:06

Re: Unable to update httpd in Centos 8 Linux

Post by ajex » 2023/12/10 12:06:13

Thanks, TrevorH for your suggestions.
From where I can download 56.module+el8.8.0+1456+d0a01c5e.7
Any authentic source?

User avatar
jlehtone
Posts: 4549
Joined: 2007/12/11 08:17:33
Location: Finland

Re: Unable to update httpd in Centos 8 Linux

Post by jlehtone » 2023/12/10 12:15:52

Forget the 56. Run:

Code: Select all

dnf list httpd\*
What does it show?

User avatar
TrevorH
Site Admin
Posts: 33263
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Unable to update httpd in Centos 8 Linux

Post by TrevorH » 2023/12/10 13:10:11

There is no copy of -56 available for CentOS 8 anyway. It died in 2021 and there have been no fixes produced for it since then.
The future appears to be RHEL or Debian. I think I'm going Debian.
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 and 6 are deadest, do not use them.
Use the FAQ Luke

Post Reply